Skip to main content
`Ctrl`+`K`

# skbio.sequence.GrammaredSequence.degenerates

GrammaredSequence.degenerates()

  Find positions containing degenerate characters in the sequence.

  Returns:
    1D np.ndarray (bool)

      Boolean vector where `True` indicates a degenerate character is present at that position in the biological sequence.

  See also

  `has_degenerates`
  `definites`
  `has_definites`

  Examples

      >>> from skbio import DNA
      >>> s = DNA('ACWGN')
      >>> s.degenerates()
      array([False, False,  True, False,  True], dtype=bool)